
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: release-name-ingress-example-com
spec:
  ingressClassName: kong
  rules:
  - host: example.com
    http:
      paths:
      - path: "/"
        pathType: ImplementationSpecific
        backend:
          service:
            name: release-name-ingress-to-named-port
            port:
              name: to-named-port
      - path: "/external1"
        pathType: ImplementationSpecific
        backend:
          service:
            name: other-service
            port:
              name: other-port
      - path: "/external2"
        pathType: ImplementationSpecific
        backend:
          service:
            name: other-service
            port:
              number: 8080
      - path: "/other"
        pathType: ImplementationSpecific
        backend:
          service:
            name: release-name-ingress-to-numbered-port
            port:
              name: to-numbered-port
